For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Chats

Get Chat

Beta
GET
https://api.vapi.ai/chat/:id
GET
/chat/:id
$curl https://api.vapi.ai/chat/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "string",
3 "orgId": "string",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "updatedAt": "2024-01-15T09:30:00Z",
6 "assistantId": "string",
7 "assistant": {
8 "transcriber": {
9 "provider": "assembly-ai",
10 "language": "multi",
11 "confidenceThreshold": 0.4,
12 "formatTurns": true,
13 "endOfTurnConfidenceThreshold": 0.7,
14 "minEndOfTurnSilenceWhenConfident": 160,
15 "wordFinalizationMaxWaitTime": 160,
16 "maxTurnSilence": 400,
17 "vadAssistedEndpointingEnabled": true,
18 "speechModel": "universal-streaming-english",
19 "realtimeUrl": "string",
20 "wordBoost": [
21 "string"
22 ],
23 "keytermsPrompt": [
24 "string"
25 ],
26 "endUtteranceSilenceThreshold": 1.1,
27 "disablePartialTranscripts": true,
28 "fallbackPlan": {
29 "transcribers": [
30 {
31 "provider": "assembly-ai",
32 "language": "multi",
33 "confidenceThreshold": 0.4,
34 "formatTurns": true,
35 "endOfTurnConfidenceThreshold": 0.7,
36 "minEndOfTurnSilenceWhenConfident": 160,
37 "wordFinalizationMaxWaitTime": 160,
38 "maxTurnSilence": 400,
39 "vadAssistedEndpointingEnabled": true,
40 "speechModel": "universal-streaming-english",
41 "realtimeUrl": "string",
42 "wordBoost": [
43 "string"
44 ],
45 "keytermsPrompt": [
46 "string"
47 ],
48 "endUtteranceSilenceThreshold": 1.1,
49 "disablePartialTranscripts": true
50 }
51 ]
52 }
53 },
54 "model": {
55 "messages": [
56 {
57 "content": "string",
58 "role": "assistant"
59 }
60 ],
61 "tools": [
62 {
63 "messages": [
64 {
65 "contents": [
66 {
67 "type": "text",
68 "text": "string",
69 "language": "aa"
70 }
71 ],
72 "type": "request-start",
73 "blocking": false,
74 "content": "string",
75 "conditions": [
76 {
77 "operator": "eq",
78 "param": "string",
79 "value": "string"
80 }
81 ]
82 }
83 ],
84 "type": "apiRequest",
85 "method": "POST",
86 "timeoutSeconds": 20,
87 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
88 "encryptedPaths": [
89 "string"
90 ],
91 "parameters": [
92 {
93 "key": "string",
94 "value": {}
95 }
96 ],
97 "name": "string",
98 "description": "string",
99 "url": "string",
100 "body": {
101 "type": "string",
102 "items": {},
103 "properties": {},
104 "description": "string",
105 "pattern": "string",
106 "format": "date-time",
107 "required": [
108 "string"
109 ],
110 "enum": [
111 "string"
112 ],
113 "title": "string"
114 },
115 "headers": {
116 "type": "string",
117 "items": {},
118 "properties": {},
119 "description": "string",
120 "pattern": "string",
121 "format": "date-time",
122 "required": [
123 "string"
124 ],
125 "enum": [
126 "string"
127 ],
128 "title": "string"
129 },
130 "backoffPlan": {
131 "type": "fixed",
132 "maxRetries": 0,
133 "baseDelaySeconds": 1,
134 "excludedStatusCodes": [
135 400,
136 401,
137 403,
138 404
139 ]
140 },
141 "variableExtractionPlan": {
142 "schema": {
143 "type": "string",
144 "items": {},
145 "properties": {},
146 "description": "string",
147 "pattern": "string",
148 "format": "date-time",
149 "required": [
150 "string"
151 ],
152 "enum": [
153 "string"
154 ],
155 "title": "string"
156 },
157 "aliases": [
158 {
159 "key": "string",
160 "value": "string"
161 }
162 ]
163 },
164 "rejectionPlan": {
165 "conditions": [
166 {
167 "type": "regex",
168 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
169 }
170 ]
171 }
172 }
173 ],
174 "toolIds": [
175 "string"
176 ],
177 "knowledgeBase": {
178 "provider": "custom-knowledge-base",
179 "server": {
180 "timeoutSeconds": 20,
181 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
182 "staticIpAddressesEnabled": false,
183 "encryptedPaths": [
184 "string"
185 ],
186 "url": "string",
187 "headers": {},
188 "backoffPlan": {
189 "type": "fixed",
190 "maxRetries": 0,
191 "baseDelaySeconds": 1,
192 "excludedStatusCodes": [
193 400,
194 401,
195 403,
196 404
197 ]
198 }
199 }
200 },
201 "model": "claude-3-opus-20240229",
202 "provider": "anthropic",
203 "thinking": {
204 "type": "enabled",
205 "budgetTokens": 50500
206 },
207 "temperature": 1.1,
208 "maxTokens": 5030,
209 "emotionRecognitionEnabled": true,
210 "numFastTurns": 1.1
211 },
212 "voice": {
213 "cachingEnabled": true,
214 "provider": "azure",
215 "voiceId": "andrew",
216 "chunkPlan": {
217 "enabled": true,
218 "minCharacters": 30,
219 "punctuationBoundaries": "。",
220 "formatPlan": {
221 "enabled": true,
222 "numberToDigitsCutoff": 2025,
223 "replacements": [
224 {
225 "type": "exact",
226 "replaceAllEnabled": false,
227 "key": "string",
228 "value": "string"
229 }
230 ],
231 "formattersEnabled": "markdown"
232 }
233 },
234 "speed": 1.1,
235 "fallbackPlan": {
236 "voices": [
237 {
238 "cachingEnabled": true,
239 "provider": "azure",
240 "voiceId": "andrew",
241 "speed": 1.1,
242 "chunkPlan": {
243 "enabled": true,
244 "minCharacters": 30,
245 "punctuationBoundaries": "。",
246 "formatPlan": {
247 "enabled": true,
248 "numberToDigitsCutoff": 2025,
249 "replacements": {},
250 "formattersEnabled": {}
251 }
252 },
253 "oneOf": null
254 }
255 ]
256 }
257 },
258 "firstMessage": "Hello! How can I help you today?",
259 "firstMessageInterruptionsEnabled": false,
260 "firstMessageMode": "assistant-speaks-first",
261 "voicemailDetection": "off",
262 "clientMessages": "conversation-update",
263 "serverMessages": "assistant.started",
264 "maxDurationSeconds": 600,
265 "backgroundSound": "off",
266 "modelOutputInMessagesEnabled": false,
267 "transportConfigurations": [
268 {
269 "provider": "twilio",
270 "timeout": 60,
271 "record": false,
272 "recordingChannels": "mono"
273 }
274 ],
275 "observabilityPlan": {
276 "provider": "langfuse",
277 "tags": [
278 "string"
279 ],
280 "promptName": "string",
281 "promptVersion": 1.1,
282 "traceName": "string",
283 "metadata": {}
284 },
285 "credentials": [
286 {
287 "provider": "anthropic",
288 "apiKey": "string",
289 "name": "string"
290 }
291 ],
292 "hooks": [
293 {
294 "on": "call.ending",
295 "do": [
296 {
297 "type": "tool",
298 "tool": {
299 "messages": [
300 {
301 "contents": [
302 {
303 "type": {},
304 "text": {},
305 "language": {}
306 }
307 ],
308 "type": "request-start",
309 "blocking": false,
310 "content": "string",
311 "conditions": [
312 {
313 "operator": "eq",
314 "param": "string",
315 "value": "string"
316 }
317 ]
318 }
319 ],
320 "type": "apiRequest",
321 "method": "POST",
322 "timeoutSeconds": 20,
323 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
324 "encryptedPaths": [
325 "string"
326 ],
327 "parameters": [
328 {
329 "key": "string",
330 "value": {}
331 }
332 ],
333 "name": "string",
334 "description": "string",
335 "url": "string",
336 "body": {
337 "type": "string",
338 "items": {},
339 "properties": {},
340 "description": "string",
341 "pattern": "string",
342 "format": "date-time",
343 "required": [
344 "string"
345 ],
346 "enum": [
347 "string"
348 ],
349 "title": "string"
350 },
351 "headers": {
352 "type": "string",
353 "items": {},
354 "properties": {},
355 "description": "string",
356 "pattern": "string",
357 "format": "date-time",
358 "required": [
359 "string"
360 ],
361 "enum": [
362 "string"
363 ],
364 "title": "string"
365 },
366 "backoffPlan": {
367 "type": "fixed",
368 "maxRetries": 0,
369 "baseDelaySeconds": 1,
370 "excludedStatusCodes": [
371 400,
372 401,
373 403,
374 404
375 ]
376 },
377 "variableExtractionPlan": {
378 "schema": {
379 "type": {},
380 "items": {},
381 "properties": {},
382 "description": {},
383 "pattern": {},
384 "format": {},
385 "required": {},
386 "enum": {},
387 "title": {}
388 },
389 "aliases": [
390 {
391 "key": "string",
392 "value": "string"
393 }
394 ]
395 },
396 "rejectionPlan": {
397 "conditions": [
398 {
399 "type": "regex",
400 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
401 }
402 ]
403 }
404 },
405 "toolId": "string"
406 }
407 ],
408 "filters": [
409 {
410 "type": "oneOf",
411 "key": "string",
412 "oneOf": [
413 "string"
414 ]
415 }
416 ]
417 }
418 ],
419 "name": "string",
420 "voicemailMessage": "string",
421 "endCallMessage": "string",
422 "endCallPhrases": [
423 "string"
424 ],
425 "compliancePlan": {
426 "hipaaEnabled": true,
427 "pciEnabled": {
428 "pciEnabled": false
429 },
430 "securityFilterPlan": {
431 "enabled": false,
432 "filters": [
433 {}
434 ],
435 "mode": "sanitize",
436 "replacementText": "[FILTERED]"
437 },
438 "recordingConsentPlan": {
439 "type": "stay-on-line",
440 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
441 "voice": {
442 "cachingEnabled": true,
443 "provider": "azure",
444 "voiceId": "andrew",
445 "chunkPlan": {
446 "enabled": true,
447 "minCharacters": 30,
448 "punctuationBoundaries": "。",
449 "formatPlan": {
450 "enabled": true,
451 "numberToDigitsCutoff": 2025,
452 "replacements": [
453 {}
454 ],
455 "formattersEnabled": "markdown"
456 }
457 },
458 "speed": 1.1,
459 "fallbackPlan": {
460 "voices": [
461 {
462 "cachingEnabled": true,
463 "provider": "azure",
464 "voiceId": "andrew",
465 "speed": 1.1,
466 "chunkPlan": {},
467 "oneOf": null
468 }
469 ]
470 }
471 },
472 "waitSeconds": 3
473 }
474 },
475 "metadata": {},
476 "backgroundSpeechDenoisingPlan": {
477 "smartDenoisingPlan": {
478 "enabled": true
479 },
480 "fourierDenoisingPlan": {
481 "enabled": false,
482 "mediaDetectionEnabled": true,
483 "staticThreshold": -35,
484 "baselineOffsetDb": -15,
485 "windowSizeMs": 3000,
486 "baselinePercentile": 85
487 }
488 },
489 "analysisPlan": {
490 "summaryPlan": {
491 "messages": [
492 {}
493 ],
494 "enabled": true,
495 "timeoutSeconds": 1.1
496 },
497 "structuredDataPlan": {
498 "messages": [
499 {}
500 ],
501 "enabled": true,
502 "schema": {
503 "type": "string",
504 "items": {},
505 "properties": {},
506 "description": "string",
507 "pattern": "string",
508 "format": "date-time",
509 "required": [
510 "string"
511 ],
512 "enum": [
513 "string"
514 ],
515 "title": "string"
516 },
517 "timeoutSeconds": 1.1
518 },
519 "successEvaluationPlan": {
520 "rubric": "NumericScale",
521 "messages": [
522 {}
523 ],
524 "enabled": true,
525 "timeoutSeconds": 1.1
526 },
527 "minMessagesThreshold": 1.1,
528 "structuredDataMultiPlan": [
529 {
530 "key": "string",
531 "plan": {
532 "messages": [
533 {}
534 ],
535 "enabled": true,
536 "schema": {
537 "type": "string",
538 "items": {},
539 "properties": {},
540 "description": "string",
541 "pattern": "string",
542 "format": "date-time",
543 "required": [
544 "string"
545 ],
546 "enum": [
547 "string"
548 ],
549 "title": "string"
550 },
551 "timeoutSeconds": 1.1
552 }
553 }
554 ],
555 "outcomeIds": [
556 "string"
557 ]
558 },
559 "artifactPlan": {
560 "recordingEnabled": true,
561 "recordingFormat": "wav;l16",
562 "recordingUseCustomStorageEnabled": true,
563 "videoRecordingEnabled": false,
564 "fullMessageHistoryEnabled": false,
565 "pcapEnabled": true,
566 "pcapS3PathPrefix": "/pcaps",
567 "pcapUseCustomStorageEnabled": true,
568 "loggingEnabled": true,
569 "loggingUseCustomStorageEnabled": true,
570 "transcriptPlan": {
571 "enabled": true,
572 "assistantName": "string",
573 "userName": "string"
574 },
575 "recordingPath": "string",
576 "structuredOutputIds": [
577 "string"
578 ],
579 "structuredOutputs": [
580 {
581 "name": "string",
582 "schema": {
583 "type": "string",
584 "items": {},
585 "properties": {},
586 "description": "string",
587 "pattern": "string",
588 "format": "date-time",
589 "required": [
590 "string"
591 ],
592 "enum": [
593 "string"
594 ],
595 "title": "string"
596 },
597 "type": "ai",
598 "regex": "string",
599 "model": {
600 "provider": "openai",
601 "model": "gpt-5.4",
602 "temperature": 1.1,
603 "maxTokens": 5030
604 },
605 "compliancePlan": {
606 "forceStoreOnHipaaEnabled": false
607 },
608 "description": "string",
609 "assistantIds": [
610 "string"
611 ],
612 "workflowIds": [
613 "string"
614 ]
615 }
616 ],
617 "scorecardIds": [
618 "string"
619 ],
620 "scorecards": [
621 {
622 "metrics": [
623 {
624 "structuredOutputId": "string",
625 "conditions": [
626 {}
627 ]
628 }
629 ],
630 "name": "string",
631 "description": "string",
632 "assistantIds": [
633 "string"
634 ]
635 }
636 ],
637 "loggingPath": "string"
638 },
639 "startSpeakingPlan": {
640 "waitSeconds": 0.4,
641 "smartEndpointingPlan": {
642 "provider": "vapi"
643 },
644 "customEndpointingRules": [
645 {
646 "type": "assistant",
647 "regex": "string",
648 "regexOptions": [
649 {
650 "type": "ignore-case",
651 "enabled": true
652 }
653 ],
654 "timeoutSeconds": 1.1
655 }
656 ],
657 "transcriptionEndpointingPlan": {
658 "onPunctuationSeconds": 0.1,
659 "onNoPunctuationSeconds": 1.5,
660 "onNumberSeconds": 0.5
661 },
662 "smartEndpointingEnabled": false
663 },
664 "stopSpeakingPlan": {
665 "numWords": 0,
666 "voiceSeconds": 0.2,
667 "backoffSeconds": 1,
668 "acknowledgementPhrases": [
669 "i understand",
670 "i see",
671 "i got it",
672 "i hear you",
673 "im listening",
674 "im with you",
675 "right",
676 "okay",
677 "ok",
678 "sure",
679 "alright",
680 "got it",
681 "understood",
682 "yeah",
683 "yes",
684 "uh-huh",
685 "mm-hmm",
686 "gotcha",
687 "mhmm",
688 "ah",
689 "yeah okay",
690 "yeah sure"
691 ],
692 "interruptionPhrases": [
693 "stop",
694 "shut",
695 "up",
696 "enough",
697 "quiet",
698 "silence",
699 "but",
700 "dont",
701 "not",
702 "no",
703 "hold",
704 "wait",
705 "cut",
706 "pause",
707 "nope",
708 "nah",
709 "nevermind",
710 "never",
711 "bad",
712 "actually"
713 ]
714 },
715 "monitorPlan": {
716 "listenEnabled": false,
717 "listenAuthenticationEnabled": false,
718 "controlEnabled": false,
719 "controlAuthenticationEnabled": false,
720 "monitorIds": [
721 "123e4567-e89b-12d3-a456-426614174000"
722 ]
723 },
724 "credentialIds": [
725 "string"
726 ],
727 "server": {
728 "timeoutSeconds": 20,
729 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
730 "staticIpAddressesEnabled": false,
731 "encryptedPaths": [
732 "string"
733 ],
734 "url": "string",
735 "headers": {},
736 "backoffPlan": {
737 "type": "fixed",
738 "maxRetries": 0,
739 "baseDelaySeconds": 1,
740 "excludedStatusCodes": [
741 400,
742 401,
743 403,
744 404
745 ]
746 }
747 },
748 "keypadInputPlan": {
749 "enabled": true,
750 "timeoutSeconds": 1.1,
751 "delimiters": "#"
752 }
753 },
754 "assistantOverrides": {
755 "transcriber": {
756 "provider": "assembly-ai",
757 "language": "multi",
758 "confidenceThreshold": 0.4,
759 "formatTurns": true,
760 "endOfTurnConfidenceThreshold": 0.7,
761 "minEndOfTurnSilenceWhenConfident": 160,
762 "wordFinalizationMaxWaitTime": 160,
763 "maxTurnSilence": 400,
764 "vadAssistedEndpointingEnabled": true,
765 "speechModel": "universal-streaming-english",
766 "realtimeUrl": "string",
767 "wordBoost": [
768 "string"
769 ],
770 "keytermsPrompt": [
771 "string"
772 ],
773 "endUtteranceSilenceThreshold": 1.1,
774 "disablePartialTranscripts": true,
775 "fallbackPlan": {
776 "transcribers": [
777 {
778 "provider": "assembly-ai",
779 "language": "multi",
780 "confidenceThreshold": 0.4,
781 "formatTurns": true,
782 "endOfTurnConfidenceThreshold": 0.7,
783 "minEndOfTurnSilenceWhenConfident": 160,
784 "wordFinalizationMaxWaitTime": 160,
785 "maxTurnSilence": 400,
786 "vadAssistedEndpointingEnabled": true,
787 "speechModel": "universal-streaming-english",
788 "realtimeUrl": "string",
789 "wordBoost": [
790 "string"
791 ],
792 "keytermsPrompt": [
793 "string"
794 ],
795 "endUtteranceSilenceThreshold": 1.1,
796 "disablePartialTranscripts": true
797 }
798 ]
799 }
800 },
801 "model": {
802 "messages": [
803 {
804 "content": "string",
805 "role": "assistant"
806 }
807 ],
808 "tools": [
809 {
810 "messages": [
811 {
812 "contents": [
813 {
814 "type": "text",
815 "text": "string",
816 "language": "aa"
817 }
818 ],
819 "type": "request-start",
820 "blocking": false,
821 "content": "string",
822 "conditions": [
823 {
824 "operator": "eq",
825 "param": "string",
826 "value": "string"
827 }
828 ]
829 }
830 ],
831 "type": "apiRequest",
832 "method": "POST",
833 "timeoutSeconds": 20,
834 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
835 "encryptedPaths": [
836 "string"
837 ],
838 "parameters": [
839 {
840 "key": "string",
841 "value": {}
842 }
843 ],
844 "name": "string",
845 "description": "string",
846 "url": "string",
847 "body": {
848 "type": "string",
849 "items": {},
850 "properties": {},
851 "description": "string",
852 "pattern": "string",
853 "format": "date-time",
854 "required": [
855 "string"
856 ],
857 "enum": [
858 "string"
859 ],
860 "title": "string"
861 },
862 "headers": {
863 "type": "string",
864 "items": {},
865 "properties": {},
866 "description": "string",
867 "pattern": "string",
868 "format": "date-time",
869 "required": [
870 "string"
871 ],
872 "enum": [
873 "string"
874 ],
875 "title": "string"
876 },
877 "backoffPlan": {
878 "type": "fixed",
879 "maxRetries": 0,
880 "baseDelaySeconds": 1,
881 "excludedStatusCodes": [
882 400,
883 401,
884 403,
885 404
886 ]
887 },
888 "variableExtractionPlan": {
889 "schema": {
890 "type": "string",
891 "items": {},
892 "properties": {},
893 "description": "string",
894 "pattern": "string",
895 "format": "date-time",
896 "required": [
897 "string"
898 ],
899 "enum": [
900 "string"
901 ],
902 "title": "string"
903 },
904 "aliases": [
905 {
906 "key": "string",
907 "value": "string"
908 }
909 ]
910 },
911 "rejectionPlan": {
912 "conditions": [
913 {
914 "type": "regex",
915 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
916 }
917 ]
918 }
919 }
920 ],
921 "toolIds": [
922 "string"
923 ],
924 "knowledgeBase": {
925 "provider": "custom-knowledge-base",
926 "server": {
927 "timeoutSeconds": 20,
928 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
929 "staticIpAddressesEnabled": false,
930 "encryptedPaths": [
931 "string"
932 ],
933 "url": "string",
934 "headers": {},
935 "backoffPlan": {
936 "type": "fixed",
937 "maxRetries": 0,
938 "baseDelaySeconds": 1,
939 "excludedStatusCodes": [
940 400,
941 401,
942 403,
943 404
944 ]
945 }
946 }
947 },
948 "model": "claude-3-opus-20240229",
949 "provider": "anthropic",
950 "thinking": {
951 "type": "enabled",
952 "budgetTokens": 50500
953 },
954 "temperature": 1.1,
955 "maxTokens": 5030,
956 "emotionRecognitionEnabled": true,
957 "numFastTurns": 1.1
958 },
959 "voice": {
960 "cachingEnabled": true,
961 "provider": "azure",
962 "voiceId": "andrew",
963 "chunkPlan": {
964 "enabled": true,
965 "minCharacters": 30,
966 "punctuationBoundaries": "。",
967 "formatPlan": {
968 "enabled": true,
969 "numberToDigitsCutoff": 2025,
970 "replacements": [
971 {
972 "type": "exact",
973 "replaceAllEnabled": false,
974 "key": "string",
975 "value": "string"
976 }
977 ],
978 "formattersEnabled": "markdown"
979 }
980 },
981 "speed": 1.1,
982 "fallbackPlan": {
983 "voices": [
984 {
985 "cachingEnabled": true,
986 "provider": "azure",
987 "voiceId": "andrew",
988 "speed": 1.1,
989 "chunkPlan": {
990 "enabled": true,
991 "minCharacters": 30,
992 "punctuationBoundaries": "。",
993 "formatPlan": {
994 "enabled": true,
995 "numberToDigitsCutoff": 2025,
996 "replacements": {},
997 "formattersEnabled": {}
998 }
999 },
1000 "oneOf": null
1001 }
1002 ]
1003 }
1004 },
1005 "firstMessage": "Hello! How can I help you today?",
1006 "firstMessageInterruptionsEnabled": false,
1007 "firstMessageMode": "assistant-speaks-first",
1008 "voicemailDetection": "off",
1009 "clientMessages": "conversation-update",
1010 "serverMessages": "assistant.started",
1011 "maxDurationSeconds": 600,
1012 "backgroundSound": "off",
1013 "modelOutputInMessagesEnabled": false,
1014 "transportConfigurations": [
1015 {
1016 "provider": "twilio",
1017 "timeout": 60,
1018 "record": false,
1019 "recordingChannels": "mono"
1020 }
1021 ],
1022 "observabilityPlan": {
1023 "provider": "langfuse",
1024 "tags": [
1025 "string"
1026 ],
1027 "promptName": "string",
1028 "promptVersion": 1.1,
1029 "traceName": "string",
1030 "metadata": {}
1031 },
1032 "credentials": [
1033 {
1034 "provider": "anthropic",
1035 "apiKey": "string",
1036 "name": "string"
1037 }
1038 ],
1039 "hooks": [
1040 {
1041 "on": "call.ending",
1042 "do": [
1043 {
1044 "type": "tool",
1045 "tool": {
1046 "messages": [
1047 {
1048 "contents": [
1049 {
1050 "type": {},
1051 "text": {},
1052 "language": {}
1053 }
1054 ],
1055 "type": "request-start",
1056 "blocking": false,
1057 "content": "string",
1058 "conditions": [
1059 {
1060 "operator": "eq",
1061 "param": "string",
1062 "value": "string"
1063 }
1064 ]
1065 }
1066 ],
1067 "type": "apiRequest",
1068 "method": "POST",
1069 "timeoutSeconds": 20,
1070 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1071 "encryptedPaths": [
1072 "string"
1073 ],
1074 "parameters": [
1075 {
1076 "key": "string",
1077 "value": {}
1078 }
1079 ],
1080 "name": "string",
1081 "description": "string",
1082 "url": "string",
1083 "body": {
1084 "type": "string",
1085 "items": {},
1086 "properties": {},
1087 "description": "string",
1088 "pattern": "string",
1089 "format": "date-time",
1090 "required": [
1091 "string"
1092 ],
1093 "enum": [
1094 "string"
1095 ],
1096 "title": "string"
1097 },
1098 "headers": {
1099 "type": "string",
1100 "items": {},
1101 "properties": {},
1102 "description": "string",
1103 "pattern": "string",
1104 "format": "date-time",
1105 "required": [
1106 "string"
1107 ],
1108 "enum": [
1109 "string"
1110 ],
1111 "title": "string"
1112 },
1113 "backoffPlan": {
1114 "type": "fixed",
1115 "maxRetries": 0,
1116 "baseDelaySeconds": 1,
1117 "excludedStatusCodes": [
1118 400,
1119 401,
1120 403,
1121 404
1122 ]
1123 },
1124 "variableExtractionPlan": {
1125 "schema": {
1126 "type": {},
1127 "items": {},
1128 "properties": {},
1129 "description": {},
1130 "pattern": {},
1131 "format": {},
1132 "required": {},
1133 "enum": {},
1134 "title": {}
1135 },
1136 "aliases": [
1137 {
1138 "key": "string",
1139 "value": "string"
1140 }
1141 ]
1142 },
1143 "rejectionPlan": {
1144 "conditions": [
1145 {
1146 "type": "regex",
1147 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1148 }
1149 ]
1150 }
1151 },
1152 "toolId": "string"
1153 }
1154 ],
1155 "filters": [
1156 {
1157 "type": "oneOf",
1158 "key": "string",
1159 "oneOf": [
1160 "string"
1161 ]
1162 }
1163 ]
1164 }
1165 ],
1166 "tools:append": [
1167 {
1168 "messages": [
1169 {
1170 "contents": [
1171 {
1172 "type": "text",
1173 "text": "string",
1174 "language": "aa"
1175 }
1176 ],
1177 "type": "request-start",
1178 "blocking": false,
1179 "content": "string",
1180 "conditions": [
1181 {
1182 "operator": "eq",
1183 "param": "string",
1184 "value": "string"
1185 }
1186 ]
1187 }
1188 ],
1189 "type": "apiRequest",
1190 "method": "POST",
1191 "timeoutSeconds": 20,
1192 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1193 "encryptedPaths": [
1194 "string"
1195 ],
1196 "parameters": [
1197 {
1198 "key": "string",
1199 "value": {}
1200 }
1201 ],
1202 "name": "string",
1203 "description": "string",
1204 "url": "string",
1205 "body": {
1206 "type": "string",
1207 "items": {},
1208 "properties": {},
1209 "description": "string",
1210 "pattern": "string",
1211 "format": "date-time",
1212 "required": [
1213 "string"
1214 ],
1215 "enum": [
1216 "string"
1217 ],
1218 "title": "string"
1219 },
1220 "headers": {
1221 "type": "string",
1222 "items": {},
1223 "properties": {},
1224 "description": "string",
1225 "pattern": "string",
1226 "format": "date-time",
1227 "required": [
1228 "string"
1229 ],
1230 "enum": [
1231 "string"
1232 ],
1233 "title": "string"
1234 },
1235 "backoffPlan": {
1236 "type": "fixed",
1237 "maxRetries": 0,
1238 "baseDelaySeconds": 1,
1239 "excludedStatusCodes": [
1240 400,
1241 401,
1242 403,
1243 404
1244 ]
1245 },
1246 "variableExtractionPlan": {
1247 "schema": {
1248 "type": "string",
1249 "items": {},
1250 "properties": {},
1251 "description": "string",
1252 "pattern": "string",
1253 "format": "date-time",
1254 "required": [
1255 "string"
1256 ],
1257 "enum": [
1258 "string"
1259 ],
1260 "title": "string"
1261 },
1262 "aliases": [
1263 {
1264 "key": "string",
1265 "value": "string"
1266 }
1267 ]
1268 },
1269 "rejectionPlan": {
1270 "conditions": [
1271 {
1272 "type": "regex",
1273 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1274 }
1275 ]
1276 }
1277 }
1278 ],
1279 "variableValues": {},
1280 "name": "string",
1281 "voicemailMessage": "string",
1282 "endCallMessage": "string",
1283 "endCallPhrases": [
1284 "string"
1285 ],
1286 "compliancePlan": {
1287 "hipaaEnabled": true,
1288 "pciEnabled": {
1289 "pciEnabled": false
1290 },
1291 "securityFilterPlan": {
1292 "enabled": false,
1293 "filters": [
1294 {}
1295 ],
1296 "mode": "sanitize",
1297 "replacementText": "[FILTERED]"
1298 },
1299 "recordingConsentPlan": {
1300 "type": "stay-on-line",
1301 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1302 "voice": {
1303 "cachingEnabled": true,
1304 "provider": "azure",
1305 "voiceId": "andrew",
1306 "chunkPlan": {
1307 "enabled": true,
1308 "minCharacters": 30,
1309 "punctuationBoundaries": "。",
1310 "formatPlan": {
1311 "enabled": true,
1312 "numberToDigitsCutoff": 2025,
1313 "replacements": [
1314 {}
1315 ],
1316 "formattersEnabled": "markdown"
1317 }
1318 },
1319 "speed": 1.1,
1320 "fallbackPlan": {
1321 "voices": [
1322 {
1323 "cachingEnabled": true,
1324 "provider": "azure",
1325 "voiceId": "andrew",
1326 "speed": 1.1,
1327 "chunkPlan": {},
1328 "oneOf": null
1329 }
1330 ]
1331 }
1332 },
1333 "waitSeconds": 3
1334 }
1335 },
1336 "metadata": {},
1337 "backgroundSpeechDenoisingPlan": {
1338 "smartDenoisingPlan": {
1339 "enabled": true
1340 },
1341 "fourierDenoisingPlan": {
1342 "enabled": false,
1343 "mediaDetectionEnabled": true,
1344 "staticThreshold": -35,
1345 "baselineOffsetDb": -15,
1346 "windowSizeMs": 3000,
1347 "baselinePercentile": 85
1348 }
1349 },
1350 "analysisPlan": {
1351 "summaryPlan": {
1352 "messages": [
1353 {}
1354 ],
1355 "enabled": true,
1356 "timeoutSeconds": 1.1
1357 },
1358 "structuredDataPlan": {
1359 "messages": [
1360 {}
1361 ],
1362 "enabled": true,
1363 "schema": {
1364 "type": "string",
1365 "items": {},
1366 "properties": {},
1367 "description": "string",
1368 "pattern": "string",
1369 "format": "date-time",
1370 "required": [
1371 "string"
1372 ],
1373 "enum": [
1374 "string"
1375 ],
1376 "title": "string"
1377 },
1378 "timeoutSeconds": 1.1
1379 },
1380 "successEvaluationPlan": {
1381 "rubric": "NumericScale",
1382 "messages": [
1383 {}
1384 ],
1385 "enabled": true,
1386 "timeoutSeconds": 1.1
1387 },
1388 "minMessagesThreshold": 1.1,
1389 "structuredDataMultiPlan": [
1390 {
1391 "key": "string",
1392 "plan": {
1393 "messages": [
1394 {}
1395 ],
1396 "enabled": true,
1397 "schema": {
1398 "type": "string",
1399 "items": {},
1400 "properties": {},
1401 "description": "string",
1402 "pattern": "string",
1403 "format": "date-time",
1404 "required": [
1405 "string"
1406 ],
1407 "enum": [
1408 "string"
1409 ],
1410 "title": "string"
1411 },
1412 "timeoutSeconds": 1.1
1413 }
1414 }
1415 ],
1416 "outcomeIds": [
1417 "string"
1418 ]
1419 },
1420 "artifactPlan": {
1421 "recordingEnabled": true,
1422 "recordingFormat": "wav;l16",
1423 "recordingUseCustomStorageEnabled": true,
1424 "videoRecordingEnabled": false,
1425 "fullMessageHistoryEnabled": false,
1426 "pcapEnabled": true,
1427 "pcapS3PathPrefix": "/pcaps",
1428 "pcapUseCustomStorageEnabled": true,
1429 "loggingEnabled": true,
1430 "loggingUseCustomStorageEnabled": true,
1431 "transcriptPlan": {
1432 "enabled": true,
1433 "assistantName": "string",
1434 "userName": "string"
1435 },
1436 "recordingPath": "string",
1437 "structuredOutputIds": [
1438 "string"
1439 ],
1440 "structuredOutputs": [
1441 {
1442 "name": "string",
1443 "schema": {
1444 "type": "string",
1445 "items": {},
1446 "properties": {},
1447 "description": "string",
1448 "pattern": "string",
1449 "format": "date-time",
1450 "required": [
1451 "string"
1452 ],
1453 "enum": [
1454 "string"
1455 ],
1456 "title": "string"
1457 },
1458 "type": "ai",
1459 "regex": "string",
1460 "model": {
1461 "provider": "openai",
1462 "model": "gpt-5.4",
1463 "temperature": 1.1,
1464 "maxTokens": 5030
1465 },
1466 "compliancePlan": {
1467 "forceStoreOnHipaaEnabled": false
1468 },
1469 "description": "string",
1470 "assistantIds": [
1471 "string"
1472 ],
1473 "workflowIds": [
1474 "string"
1475 ]
1476 }
1477 ],
1478 "scorecardIds": [
1479 "string"
1480 ],
1481 "scorecards": [
1482 {
1483 "metrics": [
1484 {
1485 "structuredOutputId": "string",
1486 "conditions": [
1487 {}
1488 ]
1489 }
1490 ],
1491 "name": "string",
1492 "description": "string",
1493 "assistantIds": [
1494 "string"
1495 ]
1496 }
1497 ],
1498 "loggingPath": "string"
1499 },
1500 "startSpeakingPlan": {
1501 "waitSeconds": 0.4,
1502 "smartEndpointingPlan": {
1503 "provider": "vapi"
1504 },
1505 "customEndpointingRules": [
1506 {
1507 "type": "assistant",
1508 "regex": "string",
1509 "regexOptions": [
1510 {
1511 "type": "ignore-case",
1512 "enabled": true
1513 }
1514 ],
1515 "timeoutSeconds": 1.1
1516 }
1517 ],
1518 "transcriptionEndpointingPlan": {
1519 "onPunctuationSeconds": 0.1,
1520 "onNoPunctuationSeconds": 1.5,
1521 "onNumberSeconds": 0.5
1522 },
1523 "smartEndpointingEnabled": false
1524 },
1525 "stopSpeakingPlan": {
1526 "numWords": 0,
1527 "voiceSeconds": 0.2,
1528 "backoffSeconds": 1,
1529 "acknowledgementPhrases": [
1530 "i understand",
1531 "i see",
1532 "i got it",
1533 "i hear you",
1534 "im listening",
1535 "im with you",
1536 "right",
1537 "okay",
1538 "ok",
1539 "sure",
1540 "alright",
1541 "got it",
1542 "understood",
1543 "yeah",
1544 "yes",
1545 "uh-huh",
1546 "mm-hmm",
1547 "gotcha",
1548 "mhmm",
1549 "ah",
1550 "yeah okay",
1551 "yeah sure"
1552 ],
1553 "interruptionPhrases": [
1554 "stop",
1555 "shut",
1556 "up",
1557 "enough",
1558 "quiet",
1559 "silence",
1560 "but",
1561 "dont",
1562 "not",
1563 "no",
1564 "hold",
1565 "wait",
1566 "cut",
1567 "pause",
1568 "nope",
1569 "nah",
1570 "nevermind",
1571 "never",
1572 "bad",
1573 "actually"
1574 ]
1575 },
1576 "monitorPlan": {
1577 "listenEnabled": false,
1578 "listenAuthenticationEnabled": false,
1579 "controlEnabled": false,
1580 "controlAuthenticationEnabled": false,
1581 "monitorIds": [
1582 "123e4567-e89b-12d3-a456-426614174000"
1583 ]
1584 },
1585 "credentialIds": [
1586 "string"
1587 ],
1588 "server": {
1589 "timeoutSeconds": 20,
1590 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1591 "staticIpAddressesEnabled": false,
1592 "encryptedPaths": [
1593 "string"
1594 ],
1595 "url": "string",
1596 "headers": {},
1597 "backoffPlan": {
1598 "type": "fixed",
1599 "maxRetries": 0,
1600 "baseDelaySeconds": 1,
1601 "excludedStatusCodes": [
1602 400,
1603 401,
1604 403,
1605 404
1606 ]
1607 }
1608 },
1609 "keypadInputPlan": {
1610 "enabled": true,
1611 "timeoutSeconds": 1.1,
1612 "delimiters": "#"
1613 }
1614 },
1615 "squadId": "string",
1616 "squad": {
1617 "members": [
1618 {
1619 "assistantDestinations": [
1620 {
1621 "message": "string",
1622 "type": "assistant",
1623 "transferMode": "rolling-history",
1624 "assistantName": "string",
1625 "description": "string"
1626 }
1627 ],
1628 "assistantId": "string",
1629 "assistant": {
1630 "transcriber": {
1631 "provider": "assembly-ai",
1632 "language": "multi",
1633 "confidenceThreshold": 0.4,
1634 "formatTurns": true,
1635 "endOfTurnConfidenceThreshold": 0.7,
1636 "minEndOfTurnSilenceWhenConfident": 160,
1637 "wordFinalizationMaxWaitTime": 160,
1638 "maxTurnSilence": 400,
1639 "vadAssistedEndpointingEnabled": true,
1640 "speechModel": "universal-streaming-english",
1641 "realtimeUrl": "string",
1642 "wordBoost": [
1643 "string"
1644 ],
1645 "keytermsPrompt": [
1646 "string"
1647 ],
1648 "endUtteranceSilenceThreshold": 1.1,
1649 "disablePartialTranscripts": true,
1650 "fallbackPlan": {
1651 "transcribers": [
1652 {
1653 "provider": "assembly-ai",
1654 "language": "multi",
1655 "confidenceThreshold": 0.4,
1656 "formatTurns": true,
1657 "endOfTurnConfidenceThreshold": 0.7,
1658 "minEndOfTurnSilenceWhenConfident": 160,
1659 "wordFinalizationMaxWaitTime": 160,
1660 "maxTurnSilence": 400,
1661 "vadAssistedEndpointingEnabled": true,
1662 "speechModel": "universal-streaming-english",
1663 "realtimeUrl": "string",
1664 "wordBoost": [
1665 "string"
1666 ],
1667 "keytermsPrompt": [
1668 "string"
1669 ],
1670 "endUtteranceSilenceThreshold": 1.1,
1671 "disablePartialTranscripts": true
1672 }
1673 ]
1674 }
1675 },
1676 "model": {
1677 "messages": [
1678 {
1679 "content": "string",
1680 "role": "assistant"
1681 }
1682 ],
1683 "tools": [
1684 {
1685 "messages": [
1686 {
1687 "contents": [
1688 {}
1689 ],
1690 "type": "request-start",
1691 "blocking": false,
1692 "content": "string",
1693 "conditions": [
1694 {
1695 "operator": {},
1696 "param": {},
1697 "value": {}
1698 }
1699 ]
1700 }
1701 ],
1702 "type": "apiRequest",
1703 "method": "POST",
1704 "timeoutSeconds": 20,
1705 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1706 "encryptedPaths": [
1707 "string"
1708 ],
1709 "parameters": [
1710 {
1711 "key": "string",
1712 "value": {}
1713 }
1714 ],
1715 "name": "string",
1716 "description": "string",
1717 "url": "string",
1718 "body": {
1719 "type": "string",
1720 "items": {},
1721 "properties": {},
1722 "description": "string",
1723 "pattern": "string",
1724 "format": "date-time",
1725 "required": [
1726 "string"
1727 ],
1728 "enum": [
1729 "string"
1730 ],
1731 "title": "string"
1732 },
1733 "headers": {
1734 "type": "string",
1735 "items": {},
1736 "properties": {},
1737 "description": "string",
1738 "pattern": "string",
1739 "format": "date-time",
1740 "required": [
1741 "string"
1742 ],
1743 "enum": [
1744 "string"
1745 ],
1746 "title": "string"
1747 },
1748 "backoffPlan": {
1749 "type": "fixed",
1750 "maxRetries": 0,
1751 "baseDelaySeconds": 1,
1752 "excludedStatusCodes": [
1753 400,
1754 401,
1755 403,
1756 404
1757 ]
1758 },
1759 "variableExtractionPlan": {
1760 "schema": {},
1761 "aliases": [
1762 {
1763 "key": {},
1764 "value": {}
1765 }
1766 ]
1767 },
1768 "rejectionPlan": {
1769 "conditions": [
1770 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
1771 ]
1772 }
1773 }
1774 ],
1775 "toolIds": [
1776 "string"
1777 ],
1778 "knowledgeBase": {
1779 "provider": "custom-knowledge-base",
1780 "server": {
1781 "timeoutSeconds": 20,
1782 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1783 "staticIpAddressesEnabled": false,
1784 "encryptedPaths": [
1785 "string"
1786 ],
1787 "url": "string",
1788 "headers": {},
1789 "backoffPlan": {}
1790 }
1791 },
1792 "model": "claude-3-opus-20240229",
1793 "provider": "anthropic",
1794 "thinking": {
1795 "type": "enabled",
1796 "budgetTokens": 50500
1797 },
1798 "temperature": 1.1,
1799 "maxTokens": 5030,
1800 "emotionRecognitionEnabled": true,
1801 "numFastTurns": 1.1
1802 },
1803 "voice": {
1804 "cachingEnabled": true,
1805 "provider": "azure",
1806 "voiceId": "andrew",
1807 "chunkPlan": {
1808 "enabled": true,
1809 "minCharacters": 30,
1810 "punctuationBoundaries": "。",
1811 "formatPlan": {
1812 "enabled": true,
1813 "numberToDigitsCutoff": 2025,
1814 "replacements": [
1815 {}
1816 ],
1817 "formattersEnabled": "markdown"
1818 }
1819 },
1820 "speed": 1.1,
1821 "fallbackPlan": {
1822 "voices": [
1823 {
1824 "cachingEnabled": true,
1825 "provider": "azure",
1826 "voiceId": "andrew",
1827 "speed": 1.1,
1828 "chunkPlan": {},
1829 "oneOf": null
1830 }
1831 ]
1832 }
1833 },
1834 "firstMessage": "Hello! How can I help you today?",
1835 "firstMessageInterruptionsEnabled": false,
1836 "firstMessageMode": "assistant-speaks-first",
1837 "voicemailDetection": "off",
1838 "clientMessages": "conversation-update",
1839 "serverMessages": "assistant.started",
1840 "maxDurationSeconds": 600,
1841 "backgroundSound": "off",
1842 "modelOutputInMessagesEnabled": false,
1843 "transportConfigurations": [
1844 {
1845 "provider": "twilio",
1846 "timeout": 60,
1847 "record": false,
1848 "recordingChannels": "mono"
1849 }
1850 ],
1851 "observabilityPlan": {
1852 "provider": "langfuse",
1853 "tags": [
1854 "string"
1855 ],
1856 "promptName": "string",
1857 "promptVersion": 1.1,
1858 "traceName": "string",
1859 "metadata": {}
1860 },
1861 "credentials": [
1862 {
1863 "provider": "anthropic",
1864 "apiKey": "string",
1865 "name": "string"
1866 }
1867 ],
1868 "hooks": [
1869 {
1870 "on": "call.ending",
1871 "do": [
1872 {
1873 "type": "tool",
1874 "tool": {
1875 "messages": [
1876 {}
1877 ],
1878 "type": "apiRequest",
1879 "method": "POST",
1880 "timeoutSeconds": 20,
1881 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1882 "encryptedPaths": [
1883 "string"
1884 ],
1885 "parameters": [
1886 {
1887 "key": {},
1888 "value": {}
1889 }
1890 ],
1891 "name": "string",
1892 "description": "string",
1893 "url": "string",
1894 "body": {},
1895 "headers": {},
1896 "backoffPlan": {},
1897 "variableExtractionPlan": {},
1898 "rejectionPlan": {}
1899 },
1900 "toolId": "string"
1901 }
1902 ],
1903 "filters": [
1904 {
1905 "type": "oneOf",
1906 "key": "string",
1907 "oneOf": [
1908 "string"
1909 ]
1910 }
1911 ]
1912 }
1913 ],
1914 "name": "string",
1915 "voicemailMessage": "string",
1916 "endCallMessage": "string",
1917 "endCallPhrases": [
1918 "string"
1919 ],
1920 "compliancePlan": {
1921 "hipaaEnabled": true,
1922 "pciEnabled": {
1923 "pciEnabled": false
1924 },
1925 "securityFilterPlan": {
1926 "enabled": false,
1927 "filters": [
1928 {}
1929 ],
1930 "mode": "sanitize",
1931 "replacementText": "[FILTERED]"
1932 },
1933 "recordingConsentPlan": {
1934 "type": "stay-on-line",
1935 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1936 "voice": {
1937 "cachingEnabled": true,
1938 "provider": "azure",
1939 "voiceId": "andrew",
1940 "chunkPlan": {
1941 "enabled": true,
1942 "minCharacters": 30,
1943 "punctuationBoundaries": [
1944 "。",
1945 ",",
1946 ".",
1947 "!",
1948 "?",
1949 ";",
1950 "،",
1951 "۔",
1952 "।",
1953 "॥",
1954 "|",
1955 "||",
1956 ",",
1957 ":"
1958 ],
1959 "formatPlan": {}
1960 },
1961 "speed": 1.1,
1962 "fallbackPlan": {
1963 "voices": {}
1964 }
1965 },
1966 "waitSeconds": 3
1967 }
1968 },
1969 "metadata": {},
1970 "backgroundSpeechDenoisingPlan": {
1971 "smartDenoisingPlan": {
1972 "enabled": true
1973 },
1974 "fourierDenoisingPlan": {
1975 "enabled": false,
1976 "mediaDetectionEnabled": true,
1977 "staticThreshold": -35,
1978 "baselineOffsetDb": -15,
1979 "windowSizeMs": 3000,
1980 "baselinePercentile": 85
1981 }
1982 },
1983 "analysisPlan": {
1984 "summaryPlan": {
1985 "messages": [
1986 {}
1987 ],
1988 "enabled": true,
1989 "timeoutSeconds": 1.1
1990 },
1991 "structuredDataPlan": {
1992 "messages": [
1993 {}
1994 ],
1995 "enabled": true,
1996 "schema": {
1997 "type": "string",
1998 "items": {},
1999 "properties": {},
2000 "description": "string",
2001 "pattern": "string",
2002 "format": "date-time",
2003 "required": [
2004 "string"
2005 ],
2006 "enum": [
2007 "string"
2008 ],
2009 "title": "string"
2010 },
2011 "timeoutSeconds": 1.1
2012 },
2013 "successEvaluationPlan": {
2014 "rubric": "NumericScale",
2015 "messages": [
2016 {}
2017 ],
2018 "enabled": true,
2019 "timeoutSeconds": 1.1
2020 },
2021 "minMessagesThreshold": 1.1,
2022 "structuredDataMultiPlan": [
2023 {
2024 "key": "string",
2025 "plan": {
2026 "messages": [
2027 {}
2028 ],
2029 "enabled": true,
2030 "schema": {
2031 "type": {},
2032 "items": {},
2033 "properties": {},
2034 "description": {},
2035 "pattern": {},
2036 "format": {},
2037 "required": {},
2038 "enum": {},
2039 "title": {}
2040 },
2041 "timeoutSeconds": 1.1
2042 }
2043 }
2044 ],
2045 "outcomeIds": [
2046 "string"
2047 ]
2048 },
2049 "artifactPlan": {
2050 "recordingEnabled": true,
2051 "recordingFormat": "wav;l16",
2052 "recordingUseCustomStorageEnabled": true,
2053 "videoRecordingEnabled": false,
2054 "fullMessageHistoryEnabled": false,
2055 "pcapEnabled": true,
2056 "pcapS3PathPrefix": "/pcaps",
2057 "pcapUseCustomStorageEnabled": true,
2058 "loggingEnabled": true,
2059 "loggingUseCustomStorageEnabled": true,
2060 "transcriptPlan": {
2061 "enabled": true,
2062 "assistantName": "string",
2063 "userName": "string"
2064 },
2065 "recordingPath": "string",
2066 "structuredOutputIds": [
2067 "string"
2068 ],
2069 "structuredOutputs": [
2070 {
2071 "name": "string",
2072 "schema": {
2073 "type": "string",
2074 "items": {},
2075 "properties": {},
2076 "description": "string",
2077 "pattern": "string",
2078 "format": "date-time",
2079 "required": [
2080 "string"
2081 ],
2082 "enum": [
2083 "string"
2084 ],
2085 "title": "string"
2086 },
2087 "type": "ai",
2088 "regex": "string",
2089 "model": {
2090 "provider": "openai",
2091 "model": "gpt-5.4",
2092 "temperature": 1.1,
2093 "maxTokens": 5030
2094 },
2095 "compliancePlan": {
2096 "forceStoreOnHipaaEnabled": false
2097 },
2098 "description": "string",
2099 "assistantIds": [
2100 "string"
2101 ],
2102 "workflowIds": [
2103 "string"
2104 ]
2105 }
2106 ],
2107 "scorecardIds": [
2108 "string"
2109 ],
2110 "scorecards": [
2111 {
2112 "metrics": [
2113 {
2114 "structuredOutputId": "string",
2115 "conditions": [
2116 {}
2117 ]
2118 }
2119 ],
2120 "name": "string",
2121 "description": "string",
2122 "assistantIds": [
2123 "string"
2124 ]
2125 }
2126 ],
2127 "loggingPath": "string"
2128 },
2129 "startSpeakingPlan": {
2130 "waitSeconds": 0.4,
2131 "smartEndpointingPlan": {
2132 "provider": "vapi"
2133 },
2134 "customEndpointingRules": [
2135 {
2136 "type": "assistant",
2137 "regex": "string",
2138 "regexOptions": [
2139 {
2140 "type": "ignore-case",
2141 "enabled": true
2142 }
2143 ],
2144 "timeoutSeconds": 1.1
2145 }
2146 ],
2147 "transcriptionEndpointingPlan": {
2148 "onPunctuationSeconds": 0.1,
2149 "onNoPunctuationSeconds": 1.5,
2150 "onNumberSeconds": 0.5
2151 },
2152 "smartEndpointingEnabled": false
2153 },
2154 "stopSpeakingPlan": {
2155 "numWords": 0,
2156 "voiceSeconds": 0.2,
2157 "backoffSeconds": 1,
2158 "acknowledgementPhrases": [
2159 "i understand",
2160 "i see",
2161 "i got it",
2162 "i hear you",
2163 "im listening",
2164 "im with you",
2165 "right",
2166 "okay",
2167 "ok",
2168 "sure",
2169 "alright",
2170 "got it",
2171 "understood",
2172 "yeah",
2173 "yes",
2174 "uh-huh",
2175 "mm-hmm",
2176 "gotcha",
2177 "mhmm",
2178 "ah",
2179 "yeah okay",
2180 "yeah sure"
2181 ],
2182 "interruptionPhrases": [
2183 "stop",
2184 "shut",
2185 "up",
2186 "enough",
2187 "quiet",
2188 "silence",
2189 "but",
2190 "dont",
2191 "not",
2192 "no",
2193 "hold",
2194 "wait",
2195 "cut",
2196 "pause",
2197 "nope",
2198 "nah",
2199 "nevermind",
2200 "never",
2201 "bad",
2202 "actually"
2203 ]
2204 },
2205 "monitorPlan": {
2206 "listenEnabled": false,
2207 "listenAuthenticationEnabled": false,
2208 "controlEnabled": false,
2209 "controlAuthenticationEnabled": false,
2210 "monitorIds": [
2211 "123e4567-e89b-12d3-a456-426614174000"
2212 ]
2213 },
2214 "credentialIds": [
2215 "string"
2216 ],
2217 "server": {
2218 "timeoutSeconds": 20,
2219 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2220 "staticIpAddressesEnabled": false,
2221 "encryptedPaths": [
2222 "string"
2223 ],
2224 "url": "string",
2225 "headers": {},
2226 "backoffPlan": {
2227 "type": "fixed",
2228 "maxRetries": 0,
2229 "baseDelaySeconds": 1,
2230 "excludedStatusCodes": [
2231 400,
2232 401,
2233 403,
2234 404
2235 ]
2236 }
2237 },
2238 "keypadInputPlan": {
2239 "enabled": true,
2240 "timeoutSeconds": 1.1,
2241 "delimiters": "#"
2242 }
2243 },
2244 "assistantOverrides": {
2245 "transcriber": {
2246 "provider": "assembly-ai",
2247 "language": "multi",
2248 "confidenceThreshold": 0.4,
2249 "formatTurns": true,
2250 "endOfTurnConfidenceThreshold": 0.7,
2251 "minEndOfTurnSilenceWhenConfident": 160,
2252 "wordFinalizationMaxWaitTime": 160,
2253 "maxTurnSilence": 400,
2254 "vadAssistedEndpointingEnabled": true,
2255 "speechModel": "universal-streaming-english",
2256 "realtimeUrl": "string",
2257 "wordBoost": [
2258 "string"
2259 ],
2260 "keytermsPrompt": [
2261 "string"
2262 ],
2263 "endUtteranceSilenceThreshold": 1.1,
2264 "disablePartialTranscripts": true,
2265 "fallbackPlan": {
2266 "transcribers": [
2267 {
2268 "provider": "assembly-ai",
2269 "language": "multi",
2270 "confidenceThreshold": 0.4,
2271 "formatTurns": true,
2272 "endOfTurnConfidenceThreshold": 0.7,
2273 "minEndOfTurnSilenceWhenConfident": 160,
2274 "wordFinalizationMaxWaitTime": 160,
2275 "maxTurnSilence": 400,
2276 "vadAssistedEndpointingEnabled": true,
2277 "speechModel": "universal-streaming-english",
2278 "realtimeUrl": "string",
2279 "wordBoost": [
2280 "string"
2281 ],
2282 "keytermsPrompt": [
2283 "string"
2284 ],
2285 "endUtteranceSilenceThreshold": 1.1,
2286 "disablePartialTranscripts": true
2287 }
2288 ]
2289 }
2290 },
2291 "model": {
2292 "messages": [
2293 {
2294 "content": "string",
2295 "role": "assistant"
2296 }
2297 ],
2298 "tools": [
2299 {
2300 "messages": [
2301 {
2302 "contents": [
2303 {}
2304 ],
2305 "type": "request-start",
2306 "blocking": false,
2307 "content": "string",
2308 "conditions": [
2309 {
2310 "operator": {},
2311 "param": {},
2312 "value": {}
2313 }
2314 ]
2315 }
2316 ],
2317 "type": "apiRequest",
2318 "method": "POST",
2319 "timeoutSeconds": 20,
2320 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2321 "encryptedPaths": [
2322 "string"
2323 ],
2324 "parameters": [
2325 {
2326 "key": "string",
2327 "value": {}
2328 }
2329 ],
2330 "name": "string",
2331 "description": "string",
2332 "url": "string",
2333 "body": {
2334 "type": "string",
2335 "items": {},
2336 "properties": {},
2337 "description": "string",
2338 "pattern": "string",
2339 "format": "date-time",
2340 "required": [
2341 "string"
2342 ],
2343 "enum": [
2344 "string"
2345 ],
2346 "title": "string"
2347 },
2348 "headers": {
2349 "type": "string",
2350 "items": {},
2351 "properties": {},
2352 "description": "string",
2353 "pattern": "string",
2354 "format": "date-time",
2355 "required": [
2356 "string"
2357 ],
2358 "enum": [
2359 "string"
2360 ],
2361 "title": "string"
2362 },
2363 "backoffPlan": {
2364 "type": "fixed",
2365 "maxRetries": 0,
2366 "baseDelaySeconds": 1,
2367 "excludedStatusCodes": [
2368 400,
2369 401,
2370 403,
2371 404
2372 ]
2373 },
2374 "variableExtractionPlan": {
2375 "schema": {},
2376 "aliases": [
2377 {
2378 "key": {},
2379 "value": {}
2380 }
2381 ]
2382 },
2383 "rejectionPlan": {
2384 "conditions": [
2385 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2386 ]
2387 }
2388 }
2389 ],
2390 "toolIds": [
2391 "string"
2392 ],
2393 "knowledgeBase": {
2394 "provider": "custom-knowledge-base",
2395 "server": {
2396 "timeoutSeconds": 20,
2397 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2398 "staticIpAddressesEnabled": false,
2399 "encryptedPaths": [
2400 "string"
2401 ],
2402 "url": "string",
2403 "headers": {},
2404 "backoffPlan": {}
2405 }
2406 },
2407 "model": "claude-3-opus-20240229",
2408 "provider": "anthropic",
2409 "thinking": {
2410 "type": "enabled",
2411 "budgetTokens": 50500
2412 },
2413 "temperature": 1.1,
2414 "maxTokens": 5030,
2415 "emotionRecognitionEnabled": true,
2416 "numFastTurns": 1.1
2417 },
2418 "voice": {
2419 "cachingEnabled": true,
2420 "provider": "azure",
2421 "voiceId": "andrew",
2422 "chunkPlan": {
2423 "enabled": true,
2424 "minCharacters": 30,
2425 "punctuationBoundaries": "。",
2426 "formatPlan": {
2427 "enabled": true,
2428 "numberToDigitsCutoff": 2025,
2429 "replacements": [
2430 {}
2431 ],
2432 "formattersEnabled": "markdown"
2433 }
2434 },
2435 "speed": 1.1,
2436 "fallbackPlan": {
2437 "voices": [
2438 {
2439 "cachingEnabled": true,
2440 "provider": "azure",
2441 "voiceId": "andrew",
2442 "speed": 1.1,
2443 "chunkPlan": {},
2444 "oneOf": null
2445 }
2446 ]
2447 }
2448 },
2449 "firstMessage": "Hello! How can I help you today?",
2450 "firstMessageInterruptionsEnabled": false,
2451 "firstMessageMode": "assistant-speaks-first",
2452 "voicemailDetection": "off",
2453 "clientMessages": "conversation-update",
2454 "serverMessages": "assistant.started",
2455 "maxDurationSeconds": 600,
2456 "backgroundSound": "off",
2457 "modelOutputInMessagesEnabled": false,
2458 "transportConfigurations": [
2459 {
2460 "provider": "twilio",
2461 "timeout": 60,
2462 "record": false,
2463 "recordingChannels": "mono"
2464 }
2465 ],
2466 "observabilityPlan": {
2467 "provider": "langfuse",
2468 "tags": [
2469 "string"
2470 ],
2471 "promptName": "string",
2472 "promptVersion": 1.1,
2473 "traceName": "string",
2474 "metadata": {}
2475 },
2476 "credentials": [
2477 {
2478 "provider": "anthropic",
2479 "apiKey": "string",
2480 "name": "string"
2481 }
2482 ],
2483 "hooks": [
2484 {
2485 "on": "call.ending",
2486 "do": [
2487 {
2488 "type": "tool",
2489 "tool": {
2490 "messages": [
2491 {}
2492 ],
2493 "type": "apiRequest",
2494 "method": "POST",
2495 "timeoutSeconds": 20,
2496 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2497 "encryptedPaths": [
2498 "string"
2499 ],
2500 "parameters": [
2501 {
2502 "key": {},
2503 "value": {}
2504 }
2505 ],
2506 "name": "string",
2507 "description": "string",
2508 "url": "string",
2509 "body": {},
2510 "headers": {},
2511 "backoffPlan": {},
2512 "variableExtractionPlan": {},
2513 "rejectionPlan": {}
2514 },
2515 "toolId": "string"
2516 }
2517 ],
2518 "filters": [
2519 {
2520 "type": "oneOf",
2521 "key": "string",
2522 "oneOf": [
2523 "string"
2524 ]
2525 }
2526 ]
2527 }
2528 ],
2529 "tools:append": [
2530 {
2531 "messages": [
2532 {
2533 "contents": [
2534 {
2535 "type": "text",
2536 "text": "string",
2537 "language": "aa"
2538 }
2539 ],
2540 "type": "request-start",
2541 "blocking": false,
2542 "content": "string",
2543 "conditions": [
2544 {
2545 "operator": "eq",
2546 "param": "string",
2547 "value": "string"
2548 }
2549 ]
2550 }
2551 ],
2552 "type": "apiRequest",
2553 "method": "POST",
2554 "timeoutSeconds": 20,
2555 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2556 "encryptedPaths": [
2557 "string"
2558 ],
2559 "parameters": [
2560 {
2561 "key": "string",
2562 "value": {}
2563 }
2564 ],
2565 "name": "string",
2566 "description": "string",
2567 "url": "string",
2568 "body": {
2569 "type": "string",
2570 "items": {},
2571 "properties": {},
2572 "description": "string",
2573 "pattern": "string",
2574 "format": "date-time",
2575 "required": [
2576 "string"
2577 ],
2578 "enum": [
2579 "string"
2580 ],
2581 "title": "string"
2582 },
2583 "headers": {
2584 "type": "string",
2585 "items": {},
2586 "properties": {},
2587 "description": "string",
2588 "pattern": "string",
2589 "format": "date-time",
2590 "required": [
2591 "string"
2592 ],
2593 "enum": [
2594 "string"
2595 ],
2596 "title": "string"
2597 },
2598 "backoffPlan": {
2599 "type": "fixed",
2600 "maxRetries": 0,
2601 "baseDelaySeconds": 1,
2602 "excludedStatusCodes": [
2603 400,
2604 401,
2605 403,
2606 404
2607 ]
2608 },
2609 "variableExtractionPlan": {
2610 "schema": {
2611 "type": "string",
2612 "items": {},
2613 "properties": {},
2614 "description": "string",
2615 "pattern": "string",
2616 "format": "date-time",
2617 "required": [
2618 "string"
2619 ],
2620 "enum": [
2621 "string"
2622 ],
2623 "title": "string"
2624 },
2625 "aliases": [
2626 {
2627 "key": "string",
2628 "value": "string"
2629 }
2630 ]
2631 },
2632 "rejectionPlan": {
2633 "conditions": [
2634 {
2635 "type": "regex",
2636 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2637 }
2638 ]
2639 }
2640 }
2641 ],
2642 "variableValues": {},
2643 "name": "string",
2644 "voicemailMessage": "string",
2645 "endCallMessage": "string",
2646 "endCallPhrases": [
2647 "string"
2648 ],
2649 "compliancePlan": {
2650 "hipaaEnabled": true,
2651 "pciEnabled": {
2652 "pciEnabled": false
2653 },
2654 "securityFilterPlan": {
2655 "enabled": false,
2656 "filters": [
2657 {}
2658 ],
2659 "mode": "sanitize",
2660 "replacementText": "[FILTERED]"
2661 },
2662 "recordingConsentPlan": {
2663 "type": "stay-on-line",
2664 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2665 "voice": {
2666 "cachingEnabled": true,
2667 "provider": "azure",
2668 "voiceId": "andrew",
2669 "chunkPlan": {
2670 "enabled": true,
2671 "minCharacters": 30,
2672 "punctuationBoundaries": [
2673 "。",
2674 ",",
2675 ".",
2676 "!",
2677 "?",
2678 ";",
2679 "،",
2680 "۔",
2681 "।",
2682 "॥",
2683 "|",
2684 "||",
2685 ",",
2686 ":"
2687 ],
2688 "formatPlan": {}
2689 },
2690 "speed": 1.1,
2691 "fallbackPlan": {
2692 "voices": {}
2693 }
2694 },
2695 "waitSeconds": 3
2696 }
2697 },
2698 "metadata": {},
2699 "backgroundSpeechDenoisingPlan": {
2700 "smartDenoisingPlan": {
2701 "enabled": true
2702 },
2703 "fourierDenoisingPlan": {
2704 "enabled": false,
2705 "mediaDetectionEnabled": true,
2706 "staticThreshold": -35,
2707 "baselineOffsetDb": -15,
2708 "windowSizeMs": 3000,
2709 "baselinePercentile": 85
2710 }
2711 },
2712 "analysisPlan": {
2713 "summaryPlan": {
2714 "messages": [
2715 {}
2716 ],
2717 "enabled": true,
2718 "timeoutSeconds": 1.1
2719 },
2720 "structuredDataPlan": {
2721 "messages": [
2722 {}
2723 ],
2724 "enabled": true,
2725 "schema": {
2726 "type": "string",
2727 "items": {},
2728 "properties": {},
2729 "description": "string",
2730 "pattern": "string",
2731 "format": "date-time",
2732 "required": [
2733 "string"
2734 ],
2735 "enum": [
2736 "string"
2737 ],
2738 "title": "string"
2739 },
2740 "timeoutSeconds": 1.1
2741 },
2742 "successEvaluationPlan": {
2743 "rubric": "NumericScale",
2744 "messages": [
2745 {}
2746 ],
2747 "enabled": true,
2748 "timeoutSeconds": 1.1
2749 },
2750 "minMessagesThreshold": 1.1,
2751 "structuredDataMultiPlan": [
2752 {
2753 "key": "string",
2754 "plan": {
2755 "messages": [
2756 {}
2757 ],
2758 "enabled": true,
2759 "schema": {
2760 "type": {},
2761 "items": {},
2762 "properties": {},
2763 "description": {},
2764 "pattern": {},
2765 "format": {},
2766 "required": {},
2767 "enum": {},
2768 "title": {}
2769 },
2770 "timeoutSeconds": 1.1
2771 }
2772 }
2773 ],
2774 "outcomeIds": [
2775 "string"
2776 ]
2777 },
2778 "artifactPlan": {
2779 "recordingEnabled": true,
2780 "recordingFormat": "wav;l16",
2781 "recordingUseCustomStorageEnabled": true,
2782 "videoRecordingEnabled": false,
2783 "fullMessageHistoryEnabled": false,
2784 "pcapEnabled": true,
2785 "pcapS3PathPrefix": "/pcaps",
2786 "pcapUseCustomStorageEnabled": true,
2787 "loggingEnabled": true,
2788 "loggingUseCustomStorageEnabled": true,
2789 "transcriptPlan": {
2790 "enabled": true,
2791 "assistantName": "string",
2792 "userName": "string"
2793 },
2794 "recordingPath": "string",
2795 "structuredOutputIds": [
2796 "string"
2797 ],
2798 "structuredOutputs": [
2799 {
2800 "name": "string",
2801 "schema": {
2802 "type": "string",
2803 "items": {},
2804 "properties": {},
2805 "description": "string",
2806 "pattern": "string",
2807 "format": "date-time",
2808 "required": [
2809 "string"
2810 ],
2811 "enum": [
2812 "string"
2813 ],
2814 "title": "string"
2815 },
2816 "type": "ai",
2817 "regex": "string",
2818 "model": {
2819 "provider": "openai",
2820 "model": "gpt-5.4",
2821 "temperature": 1.1,
2822 "maxTokens": 5030
2823 },
2824 "compliancePlan": {
2825 "forceStoreOnHipaaEnabled": false
2826 },
2827 "description": "string",
2828 "assistantIds": [
2829 "string"
2830 ],
2831 "workflowIds": [
2832 "string"
2833 ]
2834 }
2835 ],
2836 "scorecardIds": [
2837 "string"
2838 ],
2839 "scorecards": [
2840 {
2841 "metrics": [
2842 {
2843 "structuredOutputId": "string",
2844 "conditions": [
2845 {}
2846 ]
2847 }
2848 ],
2849 "name": "string",
2850 "description": "string",
2851 "assistantIds": [
2852 "string"
2853 ]
2854 }
2855 ],
2856 "loggingPath": "string"
2857 },
2858 "startSpeakingPlan": {
2859 "waitSeconds": 0.4,
2860 "smartEndpointingPlan": {
2861 "provider": "vapi"
2862 },
2863 "customEndpointingRules": [
2864 {
2865 "type": "assistant",
2866 "regex": "string",
2867 "regexOptions": [
2868 {
2869 "type": "ignore-case",
2870 "enabled": true
2871 }
2872 ],
2873 "timeoutSeconds": 1.1
2874 }
2875 ],
2876 "transcriptionEndpointingPlan": {
2877 "onPunctuationSeconds": 0.1,
2878 "onNoPunctuationSeconds": 1.5,
2879 "onNumberSeconds": 0.5
2880 },
2881 "smartEndpointingEnabled": false
2882 },
2883 "stopSpeakingPlan": {
2884 "numWords": 0,
2885 "voiceSeconds": 0.2,
2886 "backoffSeconds": 1,
2887 "acknowledgementPhrases": [
2888 "i understand",
2889 "i see",
2890 "i got it",
2891 "i hear you",
2892 "im listening",
2893 "im with you",
2894 "right",
2895 "okay",
2896 "ok",
2897 "sure",
2898 "alright",
2899 "got it",
2900 "understood",
2901 "yeah",
2902 "yes",
2903 "uh-huh",
2904 "mm-hmm",
2905 "gotcha",
2906 "mhmm",
2907 "ah",
2908 "yeah okay",
2909 "yeah sure"
2910 ],
2911 "interruptionPhrases": [
2912 "stop",
2913 "shut",
2914 "up",
2915 "enough",
2916 "quiet",
2917 "silence",
2918 "but",
2919 "dont",
2920 "not",
2921 "no",
2922 "hold",
2923 "wait",
2924 "cut",
2925 "pause",
2926 "nope",
2927 "nah",
2928 "nevermind",
2929 "never",
2930 "bad",
2931 "actually"
2932 ]
2933 },
2934 "monitorPlan": {
2935 "listenEnabled": false,
2936 "listenAuthenticationEnabled": false,
2937 "controlEnabled": false,
2938 "controlAuthenticationEnabled": false,
2939 "monitorIds": [
2940 "123e4567-e89b-12d3-a456-426614174000"
2941 ]
2942 },
2943 "credentialIds": [
2944 "string"
2945 ],
2946 "server": {
2947 "timeoutSeconds": 20,
2948 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2949 "staticIpAddressesEnabled": false,
2950 "encryptedPaths": [
2951 "string"
2952 ],
2953 "url": "string",
2954 "headers": {},
2955 "backoffPlan": {
2956 "type": "fixed",
2957 "maxRetries": 0,
2958 "baseDelaySeconds": 1,
2959 "excludedStatusCodes": [
2960 400,
2961 401,
2962 403,
2963 404
2964 ]
2965 }
2966 },
2967 "keypadInputPlan": {
2968 "enabled": true,
2969 "timeoutSeconds": 1.1,
2970 "delimiters": "#"
2971 }
2972 }
2973 }
2974 ],
2975 "name": "string",
2976 "membersOverrides": {
2977 "transcriber": {
2978 "provider": "assembly-ai",
2979 "language": "multi",
2980 "confidenceThreshold": 0.4,
2981 "formatTurns": true,
2982 "endOfTurnConfidenceThreshold": 0.7,
2983 "minEndOfTurnSilenceWhenConfident": 160,
2984 "wordFinalizationMaxWaitTime": 160,
2985 "maxTurnSilence": 400,
2986 "vadAssistedEndpointingEnabled": true,
2987 "speechModel": "universal-streaming-english",
2988 "realtimeUrl": "string",
2989 "wordBoost": [
2990 "string"
2991 ],
2992 "keytermsPrompt": [
2993 "string"
2994 ],
2995 "endUtteranceSilenceThreshold": 1.1,
2996 "disablePartialTranscripts": true,
2997 "fallbackPlan": {
2998 "transcribers": [
2999 {
3000 "provider": "assembly-ai",
3001 "language": "multi",
3002 "confidenceThreshold": 0.4,
3003 "formatTurns": true,
3004 "endOfTurnConfidenceThreshold": 0.7,
3005 "minEndOfTurnSilenceWhenConfident": 160,
3006 "wordFinalizationMaxWaitTime": 160,
3007 "maxTurnSilence": 400,
3008 "vadAssistedEndpointingEnabled": true,
3009 "speechModel": "universal-streaming-english",
3010 "realtimeUrl": "string",
3011 "wordBoost": [
3012 "string"
3013 ],
3014 "keytermsPrompt": [
3015 "string"
3016 ],
3017 "endUtteranceSilenceThreshold": 1.1,
3018 "disablePartialTranscripts": true
3019 }
3020 ]
3021 }
3022 },
3023 "model": {
3024 "messages": [
3025 {
3026 "content": "string",
3027 "role": "assistant"
3028 }
3029 ],
3030 "tools": [
3031 {
3032 "messages": [
3033 {
3034 "contents": [
3035 {
3036 "type": {},
3037 "text": {},
3038 "language": {}
3039 }
3040 ],
3041 "type": "request-start",
3042 "blocking": false,
3043 "content": "string",
3044 "conditions": [
3045 {
3046 "operator": "eq",
3047 "param": "string",
3048 "value": "string"
3049 }
3050 ]
3051 }
3052 ],
3053 "type": "apiRequest",
3054 "method": "POST",
3055 "timeoutSeconds": 20,
3056 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3057 "encryptedPaths": [
3058 "string"
3059 ],
3060 "parameters": [
3061 {
3062 "key": "string",
3063 "value": {}
3064 }
3065 ],
3066 "name": "string",
3067 "description": "string",
3068 "url": "string",
3069 "body": {
3070 "type": "string",
3071 "items": {},
3072 "properties": {},
3073 "description": "string",
3074 "pattern": "string",
3075 "format": "date-time",
3076 "required": [
3077 "string"
3078 ],
3079 "enum": [
3080 "string"
3081 ],
3082 "title": "string"
3083 },
3084 "headers": {
3085 "type": "string",
3086 "items": {},
3087 "properties": {},
3088 "description": "string",
3089 "pattern": "string",
3090 "format": "date-time",
3091 "required": [
3092 "string"
3093 ],
3094 "enum": [
3095 "string"
3096 ],
3097 "title": "string"
3098 },
3099 "backoffPlan": {
3100 "type": "fixed",
3101 "maxRetries": 0,
3102 "baseDelaySeconds": 1,
3103 "excludedStatusCodes": [
3104 400,
3105 401,
3106 403,
3107 404
3108 ]
3109 },
3110 "variableExtractionPlan": {
3111 "schema": {
3112 "type": {},
3113 "items": {},
3114 "properties": {},
3115 "description": {},
3116 "pattern": {},
3117 "format": {},
3118 "required": {},
3119 "enum": {},
3120 "title": {}
3121 },
3122 "aliases": [
3123 {
3124 "key": "string",
3125 "value": "string"
3126 }
3127 ]
3128 },
3129 "rejectionPlan": {
3130 "conditions": [
3131 {
3132 "type": "regex",
3133 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3134 }
3135 ]
3136 }
3137 }
3138 ],
3139 "toolIds": [
3140 "string"
3141 ],
3142 "knowledgeBase": {
3143 "provider": "custom-knowledge-base",
3144 "server": {
3145 "timeoutSeconds": 20,
3146 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3147 "staticIpAddressesEnabled": false,
3148 "encryptedPaths": [
3149 "string"
3150 ],
3151 "url": "string",
3152 "headers": {},
3153 "backoffPlan": {
3154 "type": "fixed",
3155 "maxRetries": 0,
3156 "baseDelaySeconds": 1,
3157 "excludedStatusCodes": [
3158 400,
3159 401,
3160 403,
3161 404
3162 ]
3163 }
3164 }
3165 },
3166 "model": "claude-3-opus-20240229",
3167 "provider": "anthropic",
3168 "thinking": {
3169 "type": "enabled",
3170 "budgetTokens": 50500
3171 },
3172 "temperature": 1.1,
3173 "maxTokens": 5030,
3174 "emotionRecognitionEnabled": true,
3175 "numFastTurns": 1.1
3176 },
3177 "voice": {
3178 "cachingEnabled": true,
3179 "provider": "azure",
3180 "voiceId": "andrew",
3181 "chunkPlan": {
3182 "enabled": true,
3183 "minCharacters": 30,
3184 "punctuationBoundaries": "。",
3185 "formatPlan": {
3186 "enabled": true,
3187 "numberToDigitsCutoff": 2025,
3188 "replacements": [
3189 {
3190 "type": {},
3191 "replaceAllEnabled": {},
3192 "key": {},
3193 "value": {}
3194 }
3195 ],
3196 "formattersEnabled": "markdown"
3197 }
3198 },
3199 "speed": 1.1,
3200 "fallbackPlan": {
3201 "voices": [
3202 {
3203 "cachingEnabled": true,
3204 "provider": "azure",
3205 "voiceId": "andrew",
3206 "speed": 1.1,
3207 "chunkPlan": {
3208 "enabled": true,
3209 "minCharacters": 30,
3210 "punctuationBoundaries": [
3211 "。",
3212 ",",
3213 ".",
3214 "!",
3215 "?",
3216 ";",
3217 "،",
3218 "۔",
3219 "।",
3220 "॥",
3221 "|",
3222 "||",
3223 ",",
3224 ":"
3225 ],
3226 "formatPlan": {}
3227 },
3228 "oneOf": null
3229 }
3230 ]
3231 }
3232 },
3233 "firstMessage": "Hello! How can I help you today?",
3234 "firstMessageInterruptionsEnabled": false,
3235 "firstMessageMode": "assistant-speaks-first",
3236 "voicemailDetection": "off",
3237 "clientMessages": "conversation-update",
3238 "serverMessages": "assistant.started",
3239 "maxDurationSeconds": 600,
3240 "backgroundSound": "off",
3241 "modelOutputInMessagesEnabled": false,
3242 "transportConfigurations": [
3243 {
3244 "provider": "twilio",
3245 "timeout": 60,
3246 "record": false,
3247 "recordingChannels": "mono"
3248 }
3249 ],
3250 "observabilityPlan": {
3251 "provider": "langfuse",
3252 "tags": [
3253 "string"
3254 ],
3255 "promptName": "string",
3256 "promptVersion": 1.1,
3257 "traceName": "string",
3258 "metadata": {}
3259 },
3260 "credentials": [
3261 {
3262 "provider": "anthropic",
3263 "apiKey": "string",
3264 "name": "string"
3265 }
3266 ],
3267 "hooks": [
3268 {
3269 "on": "call.ending",
3270 "do": [
3271 {
3272 "type": "tool",
3273 "tool": {
3274 "messages": [
3275 {
3276 "contents": {},
3277 "type": {},
3278 "blocking": false,
3279 "content": {},
3280 "conditions": {}
3281 }
3282 ],
3283 "type": "apiRequest",
3284 "method": "POST",
3285 "timeoutSeconds": 20,
3286 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3287 "encryptedPaths": [
3288 "string"
3289 ],
3290 "parameters": [
3291 {
3292 "key": "string",
3293 "value": {}
3294 }
3295 ],
3296 "name": "string",
3297 "description": "string",
3298 "url": "string",
3299 "body": {
3300 "type": {},
3301 "items": {},
3302 "properties": {},
3303 "description": {},
3304 "pattern": {},
3305 "format": {},
3306 "required": {},
3307 "enum": {},
3308 "title": {}
3309 },
3310 "headers": {
3311 "type": {},
3312 "items": {},
3313 "properties": {},
3314 "description": {},
3315 "pattern": {},
3316 "format": {},
3317 "required": {},
3318 "enum": {},
3319 "title": {}
3320 },
3321 "backoffPlan": {
3322 "type": "fixed",
3323 "maxRetries": 0,
3324 "baseDelaySeconds": 1,
3325 "excludedStatusCodes": [
3326 400,
3327 401,
3328 403,
3329 404
3330 ]
3331 },
3332 "variableExtractionPlan": {
3333 "schema": {},
3334 "aliases": {}
3335 },
3336 "rejectionPlan": {
3337 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3338 }
3339 },
3340 "toolId": "string"
3341 }
3342 ],
3343 "filters": [
3344 {
3345 "type": "oneOf",
3346 "key": "string",
3347 "oneOf": [
3348 "string"
3349 ]
3350 }
3351 ]
3352 }
3353 ],
3354 "tools:append": [
3355 {
3356 "messages": [
3357 {
3358 "contents": [
3359 {
3360 "type": "text",
3361 "text": "string",
3362 "language": "aa"
3363 }
3364 ],
3365 "type": "request-start",
3366 "blocking": false,
3367 "content": "string",
3368 "conditions": [
3369 {
3370 "operator": "eq",
3371 "param": "string",
3372 "value": "string"
3373 }
3374 ]
3375 }
3376 ],
3377 "type": "apiRequest",
3378 "method": "POST",
3379 "timeoutSeconds": 20,
3380 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3381 "encryptedPaths": [
3382 "string"
3383 ],
3384 "parameters": [
3385 {
3386 "key": "string",
3387 "value": {}
3388 }
3389 ],
3390 "name": "string",
3391 "description": "string",
3392 "url": "string",
3393 "body": {
3394 "type": "string",
3395 "items": {},
3396 "properties": {},
3397 "description": "string",
3398 "pattern": "string",
3399 "format": "date-time",
3400 "required": [
3401 "string"
3402 ],
3403 "enum": [
3404 "string"
3405 ],
3406 "title": "string"
3407 },
3408 "headers": {
3409 "type": "string",
3410 "items": {},
3411 "properties": {},
3412 "description": "string",
3413 "pattern": "string",
3414 "format": "date-time",
3415 "required": [
3416 "string"
3417 ],
3418 "enum": [
3419 "string"
3420 ],
3421 "title": "string"
3422 },
3423 "backoffPlan": {
3424 "type": "fixed",
3425 "maxRetries": 0,
3426 "baseDelaySeconds": 1,
3427 "excludedStatusCodes": [
3428 400,
3429 401,
3430 403,
3431 404
3432 ]
3433 },
3434 "variableExtractionPlan": {
3435 "schema": {
3436 "type": "string",
3437 "items": {},
3438 "properties": {},
3439 "description": "string",
3440 "pattern": "string",
3441 "format": "date-time",
3442 "required": [
3443 "string"
3444 ],
3445 "enum": [
3446 "string"
3447 ],
3448 "title": "string"
3449 },
3450 "aliases": [
3451 {
3452 "key": "string",
3453 "value": "string"
3454 }
3455 ]
3456 },
3457 "rejectionPlan": {
3458 "conditions": [
3459 {
3460 "type": "regex",
3461 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3462 }
3463 ]
3464 }
3465 }
3466 ],
3467 "variableValues": {},
3468 "name": "string",
3469 "voicemailMessage": "string",
3470 "endCallMessage": "string",
3471 "endCallPhrases": [
3472 "string"
3473 ],
3474 "compliancePlan": {
3475 "hipaaEnabled": true,
3476 "pciEnabled": {
3477 "pciEnabled": false
3478 },
3479 "securityFilterPlan": {
3480 "enabled": false,
3481 "filters": [
3482 {}
3483 ],
3484 "mode": "sanitize",
3485 "replacementText": "[FILTERED]"
3486 },
3487 "recordingConsentPlan": {
3488 "type": "stay-on-line",
3489 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
3490 "voice": {
3491 "cachingEnabled": true,
3492 "provider": "azure",
3493 "voiceId": "andrew",
3494 "chunkPlan": {
3495 "enabled": true,
3496 "minCharacters": 30,
3497 "punctuationBoundaries": "。",
3498 "formatPlan": {}
3499 },
3500 "speed": 1.1,
3501 "fallbackPlan": {
3502 "voices": [
3503 {}
3504 ]
3505 }
3506 },
3507 "waitSeconds": 3
3508 }
3509 },
3510 "metadata": {},
3511 "backgroundSpeechDenoisingPlan": {
3512 "smartDenoisingPlan": {
3513 "enabled": true
3514 },
3515 "fourierDenoisingPlan": {
3516 "enabled": false,
3517 "mediaDetectionEnabled": true,
3518 "staticThreshold": -35,
3519 "baselineOffsetDb": -15,
3520 "windowSizeMs": 3000,
3521 "baselinePercentile": 85
3522 }
3523 },
3524 "analysisPlan": {
3525 "summaryPlan": {
3526 "messages": [
3527 {}
3528 ],
3529 "enabled": true,
3530 "timeoutSeconds": 1.1
3531 },
3532 "structuredDataPlan": {
3533 "messages": [
3534 {}
3535 ],
3536 "enabled": true,
3537 "schema": {
3538 "type": "string",
3539 "items": {},
3540 "properties": {},
3541 "description": "string",
3542 "pattern": "string",
3543 "format": "date-time",
3544 "required": [
3545 "string"
3546 ],
3547 "enum": [
3548 "string"
3549 ],
3550 "title": "string"
3551 },
3552 "timeoutSeconds": 1.1
3553 },
3554 "successEvaluationPlan": {
3555 "rubric": "NumericScale",
3556 "messages": [
3557 {}
3558 ],
3559 "enabled": true,
3560 "timeoutSeconds": 1.1
3561 },
3562 "minMessagesThreshold": 1.1,
3563 "structuredDataMultiPlan": [
3564 {
3565 "key": "string",
3566 "plan": {
3567 "messages": [
3568 {}
3569 ],
3570 "enabled": true,
3571 "schema": {
3572 "type": "string",
3573 "items": {},
3574 "properties": {},
3575 "description": "string",
3576 "pattern": "string",
3577 "format": "date-time",
3578 "required": [
3579 "string"
3580 ],
3581 "enum": [
3582 "string"
3583 ],
3584 "title": "string"
3585 },
3586 "timeoutSeconds": 1.1
3587 }
3588 }
3589 ],
3590 "outcomeIds": [
3591 "string"
3592 ]
3593 },
3594 "artifactPlan": {
3595 "recordingEnabled": true,
3596 "recordingFormat": "wav;l16",
3597 "recordingUseCustomStorageEnabled": true,
3598 "videoRecordingEnabled": false,
3599 "fullMessageHistoryEnabled": false,
3600 "pcapEnabled": true,
3601 "pcapS3PathPrefix": "/pcaps",
3602 "pcapUseCustomStorageEnabled": true,
3603 "loggingEnabled": true,
3604 "loggingUseCustomStorageEnabled": true,
3605 "transcriptPlan": {
3606 "enabled": true,
3607 "assistantName": "string",
3608 "userName": "string"
3609 },
3610 "recordingPath": "string",
3611 "structuredOutputIds": [
3612 "string"
3613 ],
3614 "structuredOutputs": [
3615 {
3616 "name": "string",
3617 "schema": {
3618 "type": "string",
3619 "items": {},
3620 "properties": {},
3621 "description": "string",
3622 "pattern": "string",
3623 "format": "date-time",
3624 "required": [
3625 "string"
3626 ],
3627 "enum": [
3628 "string"
3629 ],
3630 "title": "string"
3631 },
3632 "type": "ai",
3633 "regex": "string",
3634 "model": {
3635 "provider": "openai",
3636 "model": "gpt-5.4",
3637 "temperature": 1.1,
3638 "maxTokens": 5030
3639 },
3640 "compliancePlan": {
3641 "forceStoreOnHipaaEnabled": false
3642 },
3643 "description": "string",
3644 "assistantIds": [
3645 "string"
3646 ],
3647 "workflowIds": [
3648 "string"
3649 ]
3650 }
3651 ],
3652 "scorecardIds": [
3653 "string"
3654 ],
3655 "scorecards": [
3656 {
3657 "metrics": [
3658 {
3659 "structuredOutputId": "string",
3660 "conditions": [
3661 {}
3662 ]
3663 }
3664 ],
3665 "name": "string",
3666 "description": "string",
3667 "assistantIds": [
3668 "string"
3669 ]
3670 }
3671 ],
3672 "loggingPath": "string"
3673 },
3674 "startSpeakingPlan": {
3675 "waitSeconds": 0.4,
3676 "smartEndpointingPlan": {
3677 "provider": "vapi"
3678 },
3679 "customEndpointingRules": [
3680 {
3681 "type": "assistant",
3682 "regex": "string",
3683 "regexOptions": [
3684 {
3685 "type": "ignore-case",
3686 "enabled": true
3687 }
3688 ],
3689 "timeoutSeconds": 1.1
3690 }
3691 ],
3692 "transcriptionEndpointingPlan": {
3693 "onPunctuationSeconds": 0.1,
3694 "onNoPunctuationSeconds": 1.5,
3695 "onNumberSeconds": 0.5
3696 },
3697 "smartEndpointingEnabled": false
3698 },
3699 "stopSpeakingPlan": {
3700 "numWords": 0,
3701 "voiceSeconds": 0.2,
3702 "backoffSeconds": 1,
3703 "acknowledgementPhrases": [
3704 "i understand",
3705 "i see",
3706 "i got it",
3707 "i hear you",
3708 "im listening",
3709 "im with you",
3710 "right",
3711 "okay",
3712 "ok",
3713 "sure",
3714 "alright",
3715 "got it",
3716 "understood",
3717 "yeah",
3718 "yes",
3719 "uh-huh",
3720 "mm-hmm",
3721 "gotcha",
3722 "mhmm",
3723 "ah",
3724 "yeah okay",
3725 "yeah sure"
3726 ],
3727 "interruptionPhrases": [
3728 "stop",
3729 "shut",
3730 "up",
3731 "enough",
3732 "quiet",
3733 "silence",
3734 "but",
3735 "dont",
3736 "not",
3737 "no",
3738 "hold",
3739 "wait",
3740 "cut",
3741 "pause",
3742 "nope",
3743 "nah",
3744 "nevermind",
3745 "never",
3746 "bad",
3747 "actually"
3748 ]
3749 },
3750 "monitorPlan": {
3751 "listenEnabled": false,
3752 "listenAuthenticationEnabled": false,
3753 "controlEnabled": false,
3754 "controlAuthenticationEnabled": false,
3755 "monitorIds": [
3756 "123e4567-e89b-12d3-a456-426614174000"
3757 ]
3758 },
3759 "credentialIds": [
3760 "string"
3761 ],
3762 "server": {
3763 "timeoutSeconds": 20,
3764 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3765 "staticIpAddressesEnabled": false,
3766 "encryptedPaths": [
3767 "string"
3768 ],
3769 "url": "string",
3770 "headers": {},
3771 "backoffPlan": {
3772 "type": "fixed",
3773 "maxRetries": 0,
3774 "baseDelaySeconds": 1,
3775 "excludedStatusCodes": [
3776 400,
3777 401,
3778 403,
3779 404
3780 ]
3781 }
3782 },
3783 "keypadInputPlan": {
3784 "enabled": true,
3785 "timeoutSeconds": 1.1,
3786 "delimiters": "#"
3787 }
3788 }
3789 },
3790 "name": "string",
3791 "sessionId": "string",
3792 "input": "Hello, how can you help me?",
3793 "stream": false,
3794 "previousChatId": "string",
3795 "messages": [
3796 {
3797 "role": "string",
3798 "message": "string",
3799 "time": 1.1,
3800 "secondsFromStart": 1.1
3801 }
3802 ],
3803 "output": [
3804 {
3805 "role": "string",
3806 "message": "string",
3807 "time": 1.1,
3808 "secondsFromStart": 1.1
3809 }
3810 ],
3811 "costs": [
3812 {
3813 "type": "model",
3814 "model": {},
3815 "promptTokens": 1.1,
3816 "completionTokens": 1.1,
3817 "cachedPromptTokens": 1.1,
3818 "cost": 1.1
3819 }
3820 ],
3821 "cost": 1.1
3822}
Was this page helpful?
Previous

Delete Chat

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Response

idstring
This is the unique identifier for the chat.
orgIdstring
This is the unique identifier for the org that this chat belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the chat was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the chat was last updated.

assistantIdstring

This is the assistant that will be used for the chat. To use an existing assistant, use assistantId instead.

assistantobject

This is the assistant that will be used for the chat. To use an existing assistant, use assistantId instead.

assistantOverridesobject

These are the variable values that will be used to replace template variables in the assistant messages. Only variable substitution is supported in chat contexts - other assistant properties cannot be overridden.

squadIdstring

This is the squad that will be used for the chat. To use a transient squad, use squad instead.

squadobject

This is the squad that will be used for the chat. To use an existing squad, use squadId instead.

namestring<=40 characters
This is the name of the chat. This is just for your own reference.
sessionIdstring
This is the ID of the session that will be used for the chat. Mutually exclusive with previousChatId.
inputstring or list of objects
This is the input text for the chat. Can be a string or an array of chat messages.
streambooleanDefaults to false
This is a flag that determines whether the response should be streamed. When true, the response will be sent as chunks of text.
previousChatIdstring
This is the ID of the chat that will be used as context for the new chat. The messages from the previous chat will be used as context. Mutually exclusive with sessionId.
messageslist of objects

This is an array of messages used as context for the chat. Used to provide message history for multi-turn conversations.

outputlist of objects
This is the output messages generated by the system in response to the input.
costslist of objects
These are the costs of individual components of the chat in USD.
costdouble
This is the cost of the chat in USD.